Bug 1369009 - F22 has reached EOL
Summary: F22 has reached EOL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Copr
Classification: Community
Component: frontend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: clime
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-22 10:34 UTC by Till Hofmann
Modified: 2016-10-09 02:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-12 17:05:19 UTC


Attachments (Terms of Use)

Description Till Hofmann 2016-08-22 10:34:36 UTC
Description of problem:
When creating a new COPR, I can still select the Fedora 22 build chroot even though Fedora 22 has reached EOL. This is confusing because builds fail on F22 for pcc64 (e.g. [1]). Other EOL releases are not selectable.


Steps to Reproduce:
1. Create a new COPR
2. Look at the build options

Actual results:
fedora-22-* can be selected

Expected results:
There should be no fedora-22 option.


[1] https://copr.fedorainfracloud.org/coprs/thofmann/planner/build/443494/

Comment 1 Miroslav Suchý 2016-09-08 11:09:05 UTC
We usually leave release enabled several weeks after it has been EOLed. So it is not bug per se. But yeah, it is time to disable it.

Comment 2 clime 2016-09-12 06:33:42 UTC
Fixed by https://github.com/fedora-copr/copr/commit/c0456ac0.

Comment 3 Fedora Update System 2016-09-12 06:37:38 UTC
copr-frontend-1.101-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-acf014bf51

Comment 4 Fedora Update System 2016-09-12 06:37:48 UTC
copr-frontend-1.101-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a3cdc5801

Comment 5 Fedora Update System 2016-09-12 06:37:55 UTC
copr-frontend-1.101-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b1155f62d6

Comment 6 clime 2016-09-12 06:40:42 UTC
New copr-frontend version has been released.

Comment 7 Fedora Update System 2016-09-12 14:51:22 UTC
copr-frontend-1.101-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a3cdc5801

Comment 8 Fedora Update System 2016-09-12 15:27:04 UTC
copr-frontend-1.101-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-acf014bf51

Comment 9 Fedora Update System 2016-09-12 15:27:05 UTC
copr-frontend-1.101-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b1155f62d6

Comment 10 Fedora Update System 2016-10-03 17:23:12 UTC
copr-frontend-1.101-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-10-03 20:21:30 UTC
copr-frontend-1.101-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-10-09 02:55:59 UTC
copr-frontend-1.101-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.